Loading...
Searching...
No Matches
event::AlarmManager Interface Reference

AlarmManager interface. More...

## Classes

struct | Alarm
| Alarm structure. More...
struct | AlarmAcknowledgedEvent
| Existing alarm acknowledgement event. More...
struct | AlarmAddedEvent
| New alarm added event. More...
struct | AlarmUpdatedEvent
| Alarm updated event. More...
struct | Alert
| Alert structure. More...

## Public Member Functions

int | acknowledgeAlarm (in string alarmId)
| Acknowledges an alarm.
vector< Alarm > | listAlarms ()
| List alarms that need to be acknowledged.

## Public Attributes

constant int | NO_ERROR = 0
| Error codes.
constant int | ERR_UNKNOWN_ALARM_ID = 1
| unknown alarmId
constant int | ERR_EXECUTING_ACTIONS = 2
| failure during executing actions

## Detailed Description

AlarmManager interface.

Definition at line 15 of file AlarmManager.idl.

## Member Function Documentation

## acknowledgeAlarm()

int event::AlarmManager::acknowledgeAlarm | ( | in string | alarmId | ) |

Acknowledges an alarm.

This stops notification sending and will remove the specified alarm from the alarm list.

Parameters

  alarmId | alarm id

Returns
  NO_ERROR if OK
  ERR_UNKNOWN_ALARM_ID if alarmId is unknown
  ERR_EXECUTING_ACTIONS if failure during executing acknowledgment actions

## Member Data Documentation

## ERR_EXECUTING_ACTIONS

constant int event::AlarmManager::ERR_EXECUTING_ACTIONS = 2

failure during executing actions

Definition at line 20 of file AlarmManager.idl.

## ERR_UNKNOWN_ALARM_ID

constant int event::AlarmManager::ERR_UNKNOWN_ALARM_ID = 1

unknown alarmId

Definition at line 19 of file AlarmManager.idl.

## NO_ERROR

constant int event::AlarmManager::NO_ERROR = 0

Error codes.

operation successful, no error

Definition at line 18 of file AlarmManager.idl.

The documentation for this interface was generated from the following file:

- AlarmManager.idl